tbb::flow::interface8::proxy_dependency_receiver< T, Factory > Class Template Reference
Inheritance diagram for tbb::flow::interface8::proxy_dependency_receiver< T, Factory >:

## Public Types

typedef sender< dependency_msg < T, Factory > > | dependency_predecessor_type
Public Types inherited from tbb::flow::interface8::receiver< dependency_msg< T, Factory > >
typedef sender< dependency_msg < T, Factory > > | dependency_predecessor_type
| The predecessor type for this node.
typedef proxy_dependency_receiver< T, Factory > | proxy

## Public Member Functions

| proxy_dependency_receiver (receiver< T > &r)
task * | try_put_task (const dependency_msg< T, Factory > &d)
| Put an item to the receiver.
bool | register_predecessor (dependency_predecessor_type &s)
| Add a predecessor to the node.
bool | remove_predecessor (dependency_predecessor_type &s)
| Remove a predecessor from the node.
Public Member Functions inherited from tbb::flow::interface8::receiver< dependency_msg< T, Factory > >
bool | try_put (const T &t)
| Put an item to the receiver.
ordinary_receiver & | ordinary_receiver ()

## Protected Member Functions

void | reset_receiver (reset_flags f=rf_reset_protocol)
| put receiver back in initial state
bool | is_continue_receiver ()

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.